str_pad
str_replace
String Functions
PHP Manual

# str_repeat

Repeat a string

### Description

string str_repeat ( string `$input` , int `$multiplier` )

Returns `input` repeated `multiplier` times.

### Parameters

`input`

  The string to be repeated.

`multiplier`

  Number of time the `input` string should be repeated.

  `multiplier` has to be greater than or equal to 0. If the `multiplier` is set to 0, the function will return an empty string.

### Return Values

Returns the repeated string.

### Examples

Example #1 str_repeat example

`<?php
echo str_repeat("-=", 10);
?>`

The above example will output:

    -=-=-=-=-=-=-=-=-=-=

### See Also

- for
- str_pad
- substr_count